## angband-doc 3.0.3.5

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.internal.golden-gryphon.com ) 
## Created On       : Thu Feb 19 11:47:01 2004
## Created On Node  : glaurung.internal.golden-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Thu Feb 19 16:19:08 2004
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 7
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################

prefix=
package = angband-doc

LIBLOC     = $(prefix)/var/games/angband/info
DOCDIR     = $(prefix)/usr/share/doc/$(package)

# install commands
install_file   = install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory = install -p -d -o root -g root -m 755

all build: 
	@echo nothing to do for build

install:
	test -d $(DOCDIR) || $(make_directory)  $(DOCDIR)
	test -d $(LIBLOC) || $(make_directory)  $(LIBLOC)
	(cd Help-Info;    tar cf - *) | (cd $(LIBLOC); umask 000; tar xpf -)
	find $(LIBLOC)    -type d -name .arch-ids -print0 | xargs -0r rm -rf
	(cd Help-Page;    tar cf - *) | (cd $(DOCDIR); umask 000; tar xpf -)
	find $(DOCDIR)    -type d -name .arch-ids -print0 | xargs -0r rm -rf
	gzip -9fq         $(DOCDIR)/angfaq*.txt
	chown -R root:root $(DOCDIR) $(LIBLOC);
	chmod -R u+w,go=rX $(DOCDIR) $(LIBLOC);

clean distclean:
	@echo nothing to do for clean

## angband-doc 2.83.2

=== debian/changelog ===
angband-doc (2.83.2) frozen unstable; urgency=low

  * Changed the changelog  file to changelog (not .Debian)

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  7 Apr 1998 01:27:21 -0500

angband-doc (2.83.1) unstable; urgency=low

  * New upstream docs, corresponding to angband 2.83. Added guide.spo, and
    new FAQ
  * Fixed typos in the long description. Closes: Bug#18872

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Mar 1998 18:11:27 -0600

angband-doc (2.81.4) unstable; urgency=low

  * Make sure the copyright file is not compressed. closes:Bug#14376

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  5 Nov 1997 11:21:54 -0600

angband-doc (2.81.3) unstable; urgency=low

  * Fixed a minor typo.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 8 May 1997 01:18:34 -0500

angband-doc (2.81.2) unstable; urgency=low

  * Added menu entry for the HTML documentation.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 7 May 1997 23:00:13 -0500

angband-doc (2.81.1) unstable; urgency=low

  * Initial Release.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 6 May 1997 20:41:55 -0501

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: angband-doc
Section: doc
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 2.1.3.0

Package: angband-doc
Architecture: all
Suggests: angband
Description: Documentation for the roguelike game Angband 
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. This package
 contains additional documentation and spoilers for the game.
 .
 Angband has been written by several generations of programmers over
 the years, and is derived from an earlier game called moria, and the
 documentation has been (often haphazardly) accumulated over time as
 well.
 .

=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author           : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On       : Sat Dec 28 18:16:05 1996
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Apr  7 01:29:23 1998
## Last Machine Used: tiamat.datasync.com
## Update Count     : 60
## Status           : Unknown, Use with caution!
## HISTORY          :
## Description      :
##
###############################################################################

FILES_TO_CLEAN = debian/files angband debian/buildinfo debian/substvars
STAMPS_TO_CLEAN = stamp-binary
DIRS_TO_CLEAN  = debian/tmp
thisdir=$(shell pwd)

install_file= /usr/bin/install -p -o root -g root -m 644
install_program= /usr/bin/install -p -o root -g root -m 755
make_directory= /usr/bin/install -p -d -o root -g root -m 755

package = $(shell grep Source debian/control | sed 's/^Source: //')
DOCDIR := debian/tmp/usr/doc/$(package)

LIBDIR:= var/lib/games/angband/info
STATICDIR:= usr/lib/games/angband/info

TMPLIBDIR:= debian/tmp/$(LIBDIR)
TMPSTATICDIR:= debian/tmp/$(STATICDIR)

all build: stamp-build
stamp-build:

clean:
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS

binary:		binary-indep binary-arch

binary-indep:	stamp-binary
	$(checkdir)

binary-arch:

stamp-binary:
	@test root = "`whoami`" || (echo need root priviledges; exit 1)
	$(checkdir)
	-rm -rf                 debian/tmp
	$(make_directory)       $(DOCDIR)
	$(make_directory)       $(TMPLIBDIR)
	$(make_directory)       $(TMPSTATICDIR)
	$(make_directory)       debian/tmp/DEBIAN
	$(make_directory)       debian/tmp/usr/lib/menu
	(cd Help-Info;          tar cf - *) | (cd $(TMPSTATICDIR); tar xf -)
	(cd $(TMPLIBDIR);                                                 \
            for file in         ../../../../../$(STATICDIR)/*;            \
              do                                                          \
                                ln -s /$(STATICDIR)/`basename $$file` . ; \
              done; );
	$(install_file)         debian/changelog     $(DOCDIR)/changelog
	$(install_file)         debian/README.debian $(DOCDIR)/
	gzip -9fqr              $(DOCDIR)
# Make sure the copyright file is not compressed
	$(install_file)         debian/copyright     $(DOCDIR)/
	(cd Help-Page;          tar cf - *) | (cd $(DOCDIR); tar xf -)
	gzip -9fq               $(DOCDIR)/angfaq*.txt
	$(install_file)         debian/menuentry \
	                         debian/tmp/usr/lib/menu/$(package)
	$(install_program)      debian/postinst \
                                debian/tmp/DEBIAN/postinst
	$(install_program)      debian/postrm \
                                debian/tmp/DEBIAN/postrm
	dpkg-gencontrol
	chown -R root.root      debian/tmp/
	chmod -R go=rX          debian/tmp/
	dpkg --build            debian/tmp ..

define checkdir
	test -f Help-Info/artifact.spo -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

## angband-doc 2.83.7

=== debian/changelog ===
angband-doc (2.83.7) frozen unstable; urgency=low

  * Use absolute links when related links would not work, for the
    /usr/doc/ symlink.
  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Mar 2000 03:50:26 -0600

angband-doc (2.83.6) frozen unstable; urgency=low

  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this.  
    closes: Bug#58121, Bug#58123

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

angband-doc (2.83.5) frozen unstable; urgency=low

  * Forgot to mark the last upgrade as marked for frozen as well. For the
    release maintainer:
  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Feb 2000 19:01:29 -0600

angband-doc (2.83.4) unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 20:07:20 -0600

angband-doc (2.83.3) unstable; urgency=low

  * Fixed typo in README. Discovered by Lintian.
  * Added doc-base support.
  * Updated package scripts to my new standard set
  * Updated standards version (no changes required)

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 27 Feb 1999 12:51:20 -0600

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: doc
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 2.1.3.0
+Standards-Version: 3.0.0.0
 
 Package: angband-doc
 Architecture: all
+Depends: fileutils (>= 4.0)
 Suggests: angband
 Description: Documentation for the roguelike game Angband 
  Angband is a single-player, text-based, dungeon simulation derived

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,19 @@
 ## Created On       : Sat Dec 28 18:16:05 1996
 ## Created On Node  : tiamat.datasync.com
 ## Last Modified By : Manoj Srivastava
-## Last Modified On : Tue Apr  7 01:29:23 1998
-## Last Machine Used: tiamat.datasync.com
-## Update Count     : 60
+## Last Modified On : Tue Feb  8 20:06:40 2000
+## Last Machine Used: glaurung.green-gryphon.com
+## Update Count     : 65
 ## Status           : Unknown, Use with caution!
 ## HISTORY          :
 ## Description      :
 ##
 ###############################################################################
+
+#
+# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
+#                          sed 's/^Version: *//')
+#
 
 FILES_TO_CLEAN = debian/files angband debian/buildinfo debian/substvars
 STAMPS_TO_CLEAN = stamp-binary
@@ -24,7 +29,9 @@
 make_directory= /usr/bin/install -p -d -o root -g root -m 755
 
 package = $(shell grep Source debian/control | sed 's/^Source: //')
-DOCDIR := debian/tmp/usr/doc/$(package)
+DOCDIR := debian/tmp/usr/share/doc/$(package)
+DOCBASE := debian/tmp/usr/share/doc-base
+MENUDIR:= debian/tmp/usr/lib/menu
 
 LIBDIR:= var/lib/games/angband/info
 STATICDIR:= usr/lib/games/angband/info
@@ -52,14 +59,16 @@
 binary-arch:
 
 stamp-binary:
-	@test root = "`whoami`" || (echo need root priviledges; exit 1)
+	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
+		(echo need root priviledges; exit 1)
 	$(checkdir)
 	-rm -rf                 debian/tmp
 	$(make_directory)       $(DOCDIR)
 	$(make_directory)       $(TMPLIBDIR)
 	$(make_directory)       $(TMPSTATICDIR)
+	$(make_directory)       $(DOCBASE)
+	$(make_directory)       $(MENUDIR)
 	$(make_directory)       debian/tmp/DEBIAN
-	$(make_directory)       debian/tmp/usr/lib/menu
 	(cd Help-Info;          tar cf - *) | (cd $(TMPSTATICDIR); tar xf -)
 	(cd $(TMPLIBDIR);                                                 \
             for file in         ../../../../../$(STATICDIR)/*;            \
@@ -73,13 +82,15 @@
 	$(install_file)         debian/copyright     $(DOCDIR)/
 	(cd Help-Page;          tar cf - *) | (cd $(DOCDIR); tar xf -)
 	gzip -9fq               $(DOCDIR)/angfaq*.txt
-	$(install_file)         debian/menuentry \
-	                         debian/tmp/usr/lib/menu/$(package)
+	$(install_file)         debian/menuentry $(MENUDIR)/$(package)
+	$(install_file)         debian/docentry  $(DOCBASE)/$(package)
 	$(install_program)      debian/postinst \
                                 debian/tmp/DEBIAN/postinst
 	$(install_program)      debian/postrm \
                                 debian/tmp/DEBIAN/postrm
-	dpkg-gencontrol
+	$(install_program)      debian/prerm \
+                                debian/tmp/DEBIAN/prerm
+	dpkg-gencontrol -isp
 	chown -R root.root      debian/tmp/
 	chmod -R go=rX          debian/tmp/
 	dpkg --build            debian/tmp ..

## angband-doc 2.93.1

=== debian/changelog ===
angband-doc (2.93.1) unstable; urgency=low

  * Updated the FAQ and added a strategy guide to the spoilers.
  * Fixed the doc location to /usr/share/doc                 closes: Bug#127082
  * Fixed lintian warnings, accomodated the move of angband dirs

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Jan 2002 17:45:08 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.0.0.0
+Standards-Version: 3.5.5.0
 
 Package: angband-doc
 Architecture: all
@@ -18,4 +18,5 @@
  documentation has been (often haphazardly) accumulated over time as
  well.
  .
- 
+ These files were downloaded from ftp://clockwork.dementia.org/angband, 
+ for the most part

=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author           : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On       : Sat Dec 28 18:16:05 1996
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Sep  6 09:38:27 2000
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 67
## Status           : Unknown, Use with caution!
## HISTORY          :
## Description      :
##
###############################################################################

ifdef ARCH
  ha:=-a$(ARCH)
endif

# set the dpkg-architecture vars
export DEB_BUILD_ARCH      := $(shell dpkg-architecture $(ha) -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM:= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       := $(shell dpkg-architecture $(ha) -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU    := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)


#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#

FILES_TO_CLEAN = debian/files angband debian/buildinfo debian/substvars
STAMPS_TO_CLEAN = stamp-binary
DIRS_TO_CLEAN  = debian/tmp
thisdir=$(shell pwd)

install_file= /usr/bin/install -p -o root -g root -m 644
install_program= /usr/bin/install -p -o root -g root -m 755
make_directory= /usr/bin/install -p -d -o root -g root -m 755

package = $(shell grep Source debian/control | sed 's/^Source: //')
LIBDIR:= var/games/angband/info

SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
PKG_TOP=$(SRCTOP)/debian/tmp
DOCDIR := $(PKG_TOP)/usr/share/doc/$(package)
DOCBASE := $(PKG_TOP)/usr/share/doc-base
MENUDIR:= $(PKG_TOP)/usr/lib/menu
TMPLIBDIR:= $(PKG_TOP)/$(LIBDIR)
LINTIANDIR:= $(PKG_TOP)/usr/share/lintian/overrides


all build: stamp-build
stamp-build:

clean:
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS

binary:		binary-indep binary-arch

binary-indep:	stamp-binary
	$(checkdir)

binary-arch:

stamp-binary:
	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
	$(checkdir)
	-rm -rf              $(PKG_TOP)
	$(make_directory)    $(DOCDIR)
	$(make_directory)    $(TMPLIBDIR)
	$(make_directory)    $(DOCBASE)
	$(make_directory)    $(MENUDIR)
	$(make_directory)    $(PKG_TOP)/DEBIAN
	$(make_directory)    $(LINTIANDIR)
	echo                 'angband-doc: postinst-does-not-set-usr-doc-link'\
                             >> $(LINTIANDIR)/angband-doc
	(cd Help-Info;       tar cf - *) | (cd $(TMPLIBDIR); tar xf -)
	$(install_file)      debian/changelog     $(DOCDIR)/changelog
	$(install_file)      debian/README.debian $(DOCDIR)/
	gzip -9fqr           $(DOCDIR)
# Make sure the copyright file is not compressed
	$(install_file)      debian/copyright     $(DOCDIR)/
	(cd Help-Page;       tar cf - *) | (cd $(DOCDIR); tar xf -)
	gzip -9fq            $(DOCDIR)/angfaq*.txt
	$(install_file)      debian/menuentry $(MENUDIR)/$(package)
	$(install_file)      debian/docentry  $(DOCBASE)/$(package)
	$(install_program)   debian/postinst  $(PKG_TOP)/DEBIAN/postinst
	$(install_program)   debian/postrm    $(PKG_TOP)/DEBIAN/postrm
	$(install_program)   debian/prerm     $(PKG_TOP)/DEBIAN/prerm
	dpkg-gencontrol -isp
	chown -R root.root   $(PKG_TOP)/
	chmod -R go=rX       $(PKG_TOP)/
	dpkg --build         $(PKG_TOP) ..

define checkdir
	test -f Help-Info/artifact.spo -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

## angband-doc 3.0.3.2

=== debian/changelog ===
angband-doc (3.0.3.2) unstable; urgency=low

  * Removed the old dwww/menu entry. Now we use the preferred doc-base
    registration method.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Jun 2004 00:02:37 -0500

angband-doc (3.0.3.1) unstable; urgency=low

  * Moved over to the new build system, and arch
  * Updated the documentation files
  * Try harder to work around umask issues.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Feb 2004 14:51:58 -0600

angband-doc (2.93.3) unstable; urgency=low

  * Removed dependency on fileutils                          closes: Bug#175695
  * Fix the menu entry                                       closes: Bug#179493

 -- Manoj Srivastava <srivasta@acm.org>  Sun,  9 Feb 2003 13:13:45 -0600

angband-doc (2.93.2) unstable; urgency=low

  * use which instead of command -v
  * No longer install /usr/doc symlink. Upgraded to the latest policy
    version. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Nov 2002 23:06:40 -0600

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.5.5.0
+Standards-Version: 3.6.1.0
 
 Package: angband-doc
 Architecture: all
-Depends: fileutils (>= 4.0)
 Suggests: angband
-Description: Documentation for the roguelike game Angband 
+Description: Documentation for the roguelike game Angband.
  Angband is a single-player, text-based, dungeon simulation derived
  from the game Moria, which was in turn based on Rogue. This package
  contains additional documentation and spoilers for the game.

## angband-doc 3.0.3.3

=== debian/changelog ===
angband-doc (3.0.3.3) unstable; urgency=low

  * Bug fix: "angband-doc: Uneccessary call to update-menus", thanks to
    Stefan Huehner                                        (Closes: #356860).
  * Refreshed some spoilers to more closely match the current version of
    the game.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Apr 2006 18:48:40 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2.0
 
 Package: angband-doc
 Architecture: all

## angband-doc 3.0.3.4

=== debian/changelog ===
angband-doc (3.0.3.4) unstable; urgency=low

  * Record the fact that this package has moved to a new git repository.
  * Move to the new, make -j friendly targets in debian/rules.
  * Bug fix: "Error in `/usr/share/doc-base/angband-doc';, line 21:
    format html already defined", thanks to Trent W\. Buck
                                                        (Closes: #446091).
  * Bug fix: "Typo: /usr/share/share", thanks to Trent W\. Buck
                                                        (Closes: #446089).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Jun 2008 14:54:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: angband-doc
+VCS-Git: git://git.debian.org/~srivasta/debian/angband-doc.git
+VCS-Browser: http://git.debian.org/git/users/srivasta/debian/angband-doc.git
 Section: doc
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.3.0
 
 Package: angband-doc
 Architecture: all

## angband-doc 3.0.3.5

=== debian/changelog ===
angband-doc (3.0.3.5) unstable; urgency=low

  * New bug fixing release
  * [f7c596d]: [angband-doc]: Updated Standards version and git url
  * [3228457]: [angband-doc]: Fix names of doc-base files
    Bug fix: "doc-base control files misnamed", thanks to Matthew Vernon
                                                          (Closes: #527953).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 25 Jun 2009 09:25:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: angband-doc
 VCS-Git: git://git.debian.org/~srivasta/debian/angband-doc.git
-VCS-Browser: http://git.debian.org/git/users/srivasta/debian/angband-doc.git
+VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/angband-doc.git;a=summary
 Section: doc
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.7.3.0
+Standards-Version: 3.8.2.0
+Homepage: ftp://clockwork.dementia.org/angband
 
 Package: angband-doc
 Architecture: all
@@ -18,6 +19,3 @@
  the years, and is derived from an earlier game called moria, and the
  documentation has been (often haphazardly) accumulated over time as
  well.
- .
- These files were downloaded from ftp://clockwork.dementia.org/angband, 
- for the most part

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile; coding: utf-8 -*- ###########################
## rules --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Nov 18 17:46:22 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 70
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

# Include dpkg-architecture generated variables
include debian/common/archvars.mk

# Set variables with information extracted from control and changelog files
include debian/common/pkgvars.mk

# variables useful for perl packages
include debian/common/perlvars.mk

# Install commands
include debian/common/install_cmds.mk

include debian/local-vars.mk

include debian/common/copt.mk

include debian/common/automake.mk



all:
	@echo nothing to be done

include debian/common/targets.mk

include debian/local.mk


#Local variables:
#mode: makefile
#End:

## angband-doc 3.0.3.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################ -*- Mode: Makefile -*- ###########################
-## Makefile --- 
-## Author           : Manoj Srivastava ( srivasta@glaurung.internal.golden-gryphon.com ) 
+## Makefile ---
+## Author           : Manoj Srivastava ( srivasta@glaurung.internal.golden-gryphon.com )
 ## Created On       : Thu Feb 19 11:47:01 2004
 ## Created On Node  : glaurung.internal.golden-gryphon.com
 ## Last Modified By : Manoj Srivastava
@@ -8,12 +8,12 @@
 ## Last Machine Used: glaurung.internal.golden-gryphon.com
 ## Update Count     : 7
 ## Status           : Unknown, Use with caution!
-## HISTORY          : 
-## Description      : 
-## 
+## HISTORY          :
+## Description      :
+##
 ###############################################################################
 
-prefix=
+prefix  = $(DESTDIR)
 package = angband-doc
 
 LIBLOC     = $(prefix)/var/games/angband/info
@@ -24,7 +24,7 @@
 install_program= install -p    -o root -g root -m 755
 make_directory = install -p -d -o root -g root -m 755
 
-all build: 
+all build:
 	@echo nothing to do for build
 
 install:
@@ -34,7 +34,7 @@
 	find $(LIBLOC)    -type d -name .arch-ids -print0 | xargs -0r rm -rf
 	(cd Help-Page;    tar cf - *) | (cd $(DOCDIR); umask 000; tar xpf -)
 	find $(DOCDIR)    -type d -name .arch-ids -print0 | xargs -0r rm -rf
-	gzip -9fq         $(DOCDIR)/angfaq*.txt
+	gzip -n9fq        $(DOCDIR)/angfaq*.txt
 	chown -R root:root $(DOCDIR) $(LIBLOC);
 	chmod -R u+w,go=rX $(DOCDIR) $(LIBLOC);

=== debian/changelog ===
angband-doc (3.0.3.6) unstable; urgency=low

  * New bug fixing version
  * Update the VCS fields in debian/control to use the HTTPS protocol
  * Update the standards version to 3.9.6. No changes needed.
  * Bug fix: "Wrong upstream Homepage URL", thanks to Matanya Moses
    (Closes: #738768).
  * Bug fix: "please make the build reproducible", thanks to Chris Lamb
    Move the packaging over to dh instead. (Closes: #777729).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 24 Jan 2016 23:50:25 -0800

=== debian/control ===
Source: angband-doc
VCS-Git: https://anonscm.debian.org/git/users/srivasta/debian/angband-doc.git
VCS-Browser: https://git.debian.org/?p=users/srivasta/debian/angband-doc.git;a=summary
Section: doc
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.9.6
Homepage: http://rephial.org
Build-Depends-Indep: debhelper (>= 9)

Package: angband-doc
Architecture: all
Suggests: angband
Depends: ${misc:Depends}
Description: Documentation for the roguelike game Angband
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. This package
 contains additional documentation and spoilers for the game.
 .
 Angband has been written by several generations of programmers over
 the years, and is derived from an earlier game called moria, and the
 documentation has been (often haphazardly) accumulated over time as
 well.

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile; coding: utf-8 -*- ###########################
## rules ---
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Nov 18 17:46:22 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 70
## Status           : Unknown, Use with caution!
## HISTORY          :
## Description      :
##
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

%:
	dh $@

#Local variables:
#mode: makefile
#End:
